datablock TSShapeConstructor(LCVPDts)
{
	baseShape  = "./LCVP.dts";
	sequence0  = "./root.dsq root";

	sequence1  = "./root.dsq run";
	sequence2  = "./root.dsq walk";
	sequence3  = "./root.dsq back";
	sequence4  = "./root.dsq side";

	sequence5  = "./root.dsq crouch";
	sequence6  = "./root.dsq crouchRun";
	sequence7  = "./root.dsq crouchBack";
	sequence8  = "./root.dsq crouchSide";

	sequence9  = "./root.dsq look";
	sequence10 = "./root.dsq headside";
	sequence11 = "./root.dsq headUp";

	sequence12 = "./Open.dsq jump";
	sequence13 = "./Open.dsq standjump";
	sequence14 = "./Root.dsq fall";
	sequence15 = "./Root.dsq land";

	sequence16 = "./root.dsq armAttack";
	sequence17 = "./root.dsq armReadyLeft";
	sequence18 = "./root.dsq armReadyRight";
	sequence19 = "./root.dsq armReadyBoth";
	sequence20 = "./root.dsq spearready";  
	sequence21 = "./root.dsq spearThrow";

	sequence22 = "./root.dsq talk";  

	sequence23 = "./death.dsq death1"; 
	
	sequence24 = "./root.dsq shiftUp";
	sequence25 = "./root.dsq shiftDown";
	sequence26 = "./root.dsq shiftAway";
	sequence27 = "./root.dsq shiftTo";
	sequence28 = "./root.dsq shiftLeft";
	sequence29 = "./root.dsq shiftRight";
	sequence30 = "./root.dsq rotCW";
	sequence31 = "./root.dsq rotCCW";

	sequence32 = "./root.dsq undo";
	sequence33 = "./root.dsq plant";

	sequence34 = "./root.dsq sit";

	sequence35 = "./root.dsq wrench";

   sequence36 = "./root.dsq activate";
   sequence37 = "./root.dsq activate2";

   sequence38 = "./root.dsq leftrecoil";
};    

datablock PlayerData(LCVPArmor : PlayerStandardArmor)
{
	cameraVerticalOffset = 3;
	shapefile = "./LCVP.dts";
	canJet = 0;
	mass = 120;
   drag = 0.03;
   density = 0.2;
   runSurfaceAngle = 1;
   jumpSurfaceAngle = 1;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 0;
   maxSideSpeed = 0;
   maxSideCrouchSpeed = 0;
   maxStepHeight = 0;
   maxUnderwaterSideSpeed = 0;

	uiName = "LCVP";
	showEnergyBar = false;
	
   jumpForce = 0;
   jumpEnergyDrain = 10000;
   minJumpEnergy = 10000;
   jumpDelay = 127;
   minJumpSpeed = 0;
   maxJumpSpeed = 0;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("5.5 8.5 4", 4); 
   crouchBoundingBox	= vectorScale("5.5 8.5 4", 4);
	
   lookUpLimit = 0.65;
	lookDownLimit = 0.45;
	
   numMountPoints = 6;
   mountThread[0] = "sit";
   mountThread[1] = "sit";
   mountThread[2] = "sit";
   mountThread[3] = "sit";
   mountThread[4] = "sit";
   mountThread[5] = "sit";

   splashEmitter[0] = RowboatFoamEmitter;
   splashEmitter[1] = RowboatFoamEmitter;
   splashEmitter[2] = RowboatFoamEmitter;
   
   upMaxSpeed = 1;
   upResistSpeed = 1;
   upResistFactor = 1;
   maxdamage = 260;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = "";
   deathSound    = "";
};

